%define pkg_name        Test-MockObject
%define pkg_version     1.08
%define rpm_pkg_version 1.08
%define rpm_pkg_release 1.n0i.9

Summary:       Highly polymorphic testing object
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/C/CH/CHROMATIC/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Simple) >= 0.47
BuildRequires: perl(Scalar::Util) >= 1.1.4
BuildRequires: perl(UNIVERSAL::can) >= 1.11
BuildRequires: perl(UNIVERSAL::isa) >= 0.06
%endif


%description
Test::MockObject is a highly polymorphic testing object, capable of looking
like all sorts of objects. This makes white-box testing much easier, as you
can concentrate on what the code being tested sends to and receives from
the mocked object, instead of worrying about faking up your own data.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue Jul 31 2007 Marius Feraru <altblue@n0i.net> - 1.08-1.n0i.9
- version 1.08

* Sat Jun 02 2007 Marius Feraru <altblue@n0i.net> - 1.07-1.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 1.07

* Tue May 02 2006 Marius Feraru <altblue@n0i.net> - 1.06-1.n0i.7
- version 1.06

* Sun Apr 09 2006 Marius Feraru <altblue@n0i.net> - 1.05-1.n0i.6
- version 1.05

* Mon Mar 27 2006 Marius Feraru <altblue@n0i.net> - 1.04-1.n0i.5
- version 1.04

* Mon Mar 06 2006 Marius Feraru <altblue@n0i.net> - 1.03-1.n0i.4
- version 1.03

* Fri Feb 03 2006 Marius Feraru <altblue@n0i.net> - 1.02-1.n0i.3
- version 1.02

* Thu Sep 01 2005 Marius Feraru <altblue@n0i.net> 1.01-1.n0i.2
- version 1.01

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 1.00-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
